E2SCRUB(8)

NAZWA
e2scrub - sprawdza zawartość zamontowanego systemu plików ext[234]

SKŁADNIA
e2scrub [OPCJA] PUNKT-MONTOWANIA | URZĄDZENIE

OPIS
e2scrub podejmuje próbę sprawdzenia (bez naprawiania) wszystkich metadanych zamontowanego systemu plików ext[234], jeśli system plików występuje na logicznym woluminie LVM. Można podać również urządzenie blokowe logicznego woluminu LVM.

Program tworzy migawkę woluminu i dokonuje na niej sprawdzenia systemu plików, szukając uszkodzeń. Grupa woluminu LVM musi mieć przynajmniej 256MiB nieprzydzielonej przestrzeni, aby dało się utworzyć migawkę albo wolumin logiczny zostanie pominięty. Migawka otrzyma nazwę nazwa-woluminu-logicznego.e2scrub; udev nie utworzy do niej dowiązań symbolicznych w katalogu /dev/disk. Przed dokonaniem e2scrub, program zrobi wszystko co możliwe, aby usunąć migawkę, lecz w rzadkich sytuacjach może być konieczne jej ręczne usunięcie.

Jeśli program nie odnajdzie błędów, a system plików jest zamontowany, zostanie wywołane fstrim. Jeśli odnajdzie błędy, system plików zostanie oznaczony jako posiadający błędy. Należy wówczas odłączyć system plików i jak najszybciej uruchomić e2fsck, ponieważ e2scrub nie naprawia uszkodzeń. Jeśli system plików nie zostanie naprawiony, przed następnym zamontowaniem zostanie uruchomiony e2fsck.

OPCJE

-n  Wypisuje polecenia, jakie e2scrub wykonałby w celu sprawdzenia systemu plików (uwaga: polecenia nie zostaną faktycznie wykonane; e2scrub musi jednak wykonać pewne polecenia w celu odpytania systemu, aby określić które polecenia byłyby wykonane, dlatego mimo wszystko wymaga uruchomienia jako root).

-r  Usuwa migawkę e2scrub i wychodzi bez sprawdzania czegokolwiek.

-t  Jeśli nie znaleziono błędów, uruchamia fstrim(1) na zamontowanym systemie plików.

-V  Wypisuje informacje o wersji i wychodzi.

KOD ZAKOŃCZENIA
Kody zakończenia są takie same, jak programu e2fsck(8)

ZOBACZ TAKŻE
e2fsck(8)

AUTOR
Darrick J. Wong <darrick.wong@oracle.com>

PRAWA AUTORSKIE
Copyright ©2018 Oracle. Licencja GPLv2+. <http://www.gnu.org/licenses/gpl-2.0.html>

TŁUMACZENIE
Tłumaczenie niniejszej strony podręcznika: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.